Bug 688638 - Patch for optional LDAP UID/GID mapping
Patch for optional LDAP UID/GID mapping
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pam_krb5 (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
git://github.com/jas-/pam_krb5-ldap.git
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-17 11:38 EDT by jas
Modified: 2015-02-17 08:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:41:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Implements support for UID/GID mapping from LDAP (25.27 KB, patch)
2011-03-17 11:38 EDT, jas
no flags Details | Diff

  None (edit)
Description jas 2011-03-17 11:38:39 EDT
Created attachment 486040 [details]
Implements support for UID/GID mapping from LDAP

Description of problem:
Patch to implement optional LDAP account UID/GID mapping feature

Version-Release number of selected component (if applicable):
pam_krb5-2.3.12

How reproducible:
Apply patch and configure with --with-ldap option.

Steps to Reproduce:
1. git clone git://git.fedorahosted.org/pam_krb5.git
2. mv pam_krb5/ pam_krb5-2.3.12+ldap/
3. patch -p0 < 2011-03-17-pam_krb5-2.3.12+ldap.patch
4. ./autogen
5. ./configure --with-ldap && make install

Add the following to the krb5.conf
<pre>
[appdefaults]
pam = {
        ticket_lifetime = 1d
        renew_lifetime = 1d
        forwardable = true
        proxiable = false
        retain_after_close = false
        minimum_uid = 2
        try_first_pass = true
        ignore_root = true

        schema = ad
        ldapservs = 10.0.0.10 10.0.0.11
        ldapport = 389
        binddn = uid=user,ou=Users,dc=example,dc=com
        basedn = ou=Users,dc=example,dc=com
        ldapuser = username
        ldappass = passwpord
        
        passwd = /etc/passwd
        shadow = /etc/shadow
        groups = /etc/group

        groups_list = audio,cdrom,cdrw,usb,plugdev,video,games

        # If you define these they will
        # over write anything obtained from
        # ldap/active directory
        homedir = /home
        defshell = /bin/bash
}
</pre>
Comment 1 Fedora End Of Life 2013-04-03 12:27:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora End Of Life 2015-01-09 11:36:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 08:41:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.